{
  pkgs,
  config,
  ...
}: {
  programs.neovim = {
    enable = true;
  };

  programs.lazygit = {
    enable = true;
  };

  # Copy Neovim config
  xdg.configFile.nvim.source =
    config.lib.file.mkOutOfStoreSymlink
    "${config.home.homeDirectory}/Projects/nix-dots/user/modules/nvim";

  home.packages = with pkgs; [
    ripgrep
    gnumake
    gcc
  ];
}
